Subject: Re: [PATCH] Device Tree Bindings for Freescale TDM controller

From: Scott Wood <[email-masked]>
Date: Mon, 19 Mar 2012 12:55:16 -0500

On 03/19/2012 12:32 PM, Timur Tabi wrote:
> Scott Wood wrote:
>>>> Scott, are you suggesting that Poonam put a non-zero number in the DTS
>>>> for clock-frequency?  If so, then I don't think that's a good idea, if
>>>> U-Boot will always override it.
> 
>> This is a device tree binding document, not U-Boot specific.  It
>> describes what Linux (or another OS) can expect to see, not how it gets
>> there.
> 
> That doesn't really answer my question.  We currently have many properties
> that define a clock frequency, and the DTS sets them all to 0, with the
> intent of having U-Boot update them.

Ideally these trees should be in U-Boot rather than Linux.

> Now maybe these should all be
> deleted, but it seems that setting them to a non-zero value is wrong,
> because it might mislead people into thinking that the property is not
> updated by U-Boot.  When you see something like this:
> 
> 	clock-frequency = <0>;
> 
> It's pretty obvious that U-boot will fill it in.

You're assuming that this is a guide for writing dts files.  If you look
at it as a guide for writing Linux code to interpret the device tree,
you'd come to the opposite conclusion.

I suggested a comment about common boot software behavior (but otherwise
show it as Linux would see it) as middle ground.

-Scott